Subject: 27.0.50; configure uses nextstep despite being told to use lucid
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 23:21:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When configuring Emacs-27.2 RC1 with:

    $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib

The configure output ends with:

 Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -I/opt/local/include/
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    nextstep
  ...

I.e., it uses nextstep despite being told to use lucid.

I see the same issue with Emacs 27.1, but not with the Emacs development
version that I use to report this issue.

configure.ac mentions the switch --without-ns, but is this actually implemented?

    Either fix this, or re-configure with the option '--without-ns'.])])

--without-ns is not mentioned in the output of ./configure --help.

Thank you and all the best,
Markus

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.0.0, X toolkit, Xaw scroll bars)
 of 2018-11-15 built on mac
Repository revision: b4eb908f858284a7962851fd99c94598f76afa6f
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:  Mac OS X 10.14.2